[arch-commits] Commit in python-astroid/trunk (PKGBUILD)

Felix Yan fyan at archlinux.org
Fri Nov 21 03:14:50 UTC 2014


    Date: Friday, November 21, 2014 @ 04:14:49
  Author: fyan
Revision: 226766

upgpkg: python-astroid 1.3.0-1

upstream new release

Modified:
  python-astroid/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-21 02:35:55 UTC (rev 226765)
+++ PKGBUILD	2014-11-21 03:14:49 UTC (rev 226766)
@@ -1,18 +1,19 @@
 # $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org> 
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
 
 pkgbase=python-astroid
 pkgname=('python2-astroid' 'python-astroid')
-pkgver=1.2.1
+pkgver=1.3.0
 pkgrel=1
 pkgdesc="Useful miscellaneous modules used by Logilab projects"
 arch=('any')
 url="https://bitbucket.org/logilab/astroid"
 license=('LGPL')
-makedepends=('python' 'python2')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-six' 'python2-six')
 checkdepends=('python-logilab-common' 'python2-logilab-common')
-source=("https://pypi.python.org/packages/source/a/astroid/astroid-${pkgver}.zip")
-sha1sums=('597c668553d9ee1431ff6da07e12769072477859')
+source=("https://pypi.python.org/packages/source/a/astroid/astroid-${pkgver}.tar.gz")
+sha1sums=('abaf766752f35a82fe8dbccda8396c14c66617e7')
 
 prepare() {
   cp -a astroid-${pkgver}{,-py3}
@@ -27,15 +28,15 @@
 }
 
 check() {
-  cd astroid-${pkgver}/test
-  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -p "unittest*.py"
+  cd astroid-${pkgver}
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py"
 
-  cd ../../astroid-${pkgver}-py3/test
-  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python -Wi -m unittest discover -p "unittest*.py" || warning "Tests failed"
+  cd ../astroid-${pkgver}-py3
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" || warning "Tests failed"
 }
 
 package_python2-astroid() {
-  depends=('python2' 'python2-logilab-common')
+  depends=('python2-logilab-common' 'python2-six')
   replaces=('python2-logilab-astng')
   conflicts=('python2-logilab-astng')
 
@@ -45,7 +46,7 @@
 }
 
 package_python-astroid() {
-  depends=('python' 'python-logilab-common')
+  depends=('python-logilab-common' 'python-six')
   replaces=('python-logilab-astng')
   conflicts=('python-logilab-astng')
 


More information about the arch-commits mailing list